library(startR)
library(lubridate)

rean_data <- Start(
                dat = '/esarchive/recon/ecmwf/era5/monthly_mean/$var$_f1h/$var$_$sdate$.nc',
                lon = values(list(-180, 179.9)), #'all',
                lon_reorder = CircularSort(-180, 180),
                lat = values(list(-90, 90)), #'all',
                lat_reorder = Sort(decreasing = FALSE),
                time = 'all',
                sdate = format(ymd("19931201") + months(0:2) + rep(years(0:23),each=3),"%Y%m")[1],
                var = 'sfcWind',
                transform = CDORemapper,
                transform_params = list(grid = 'r360x181',
                                        method = 'conservative',
                                        crop = FALSE),
                transform_vars = c('lat','lon'),
                transform_extra_cells = 2,
                num_procs = 1,
                pattern_dims = 'dat',
                return_vars = list(lat = 'dat',
                                   lon = 'dat',
                                   time = c('sdate')),
                retrieve = T)



rean_data <- Start(
                dat = '/esarchive/recon/ecmwf/era5/monthly_mean/$var$_f1h/$var$_$sdate$.nc',
                lon = 'all',
                lat = 'all',
                time = 'all',
                sdate = format(ymd("19931201") + months(0:2) + rep(years(0:23),each=3),"%Y%m")[1],
                var = 'sfcWind',
                transform = CDORemapper,
                transform_params = list(grid = 'r360x181',
                                        method = 'conservative',
                                        crop = FALSE),
                transform_vars = c('lat','lon'),
                transform_extra_cells = 2,
                lat_reorder = Sort(decreasing = FALSE),
                lon_reorder = CircularSort(-180,180),
                num_procs=1,
                pattern_dims = 'dat',
                return_vars = list(lat = 'dat',
                                   lon = 'dat',
                                   time = c('sdate')),
                retrieve=T
        )

